var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", 'react', '../../../../index'], function (require, exports, React, index_1) {
    "use strict";
    var NavBasicExample = (function (_super) {
        __extends(NavBasicExample, _super);
        function NavBasicExample() {
            _super.apply(this, arguments);
        }
        NavBasicExample.prototype.render = function () {
            return (React.createElement(index_1.Nav, {groups: [{ name: 'LINK GROUP', links: [{ name: 'A link', url: 'http://example.com', iconClassName: '' }, { name: 'Edit', url: 'http://msn.com', iconClassName: 'ms-Icon--pencil' }] }]}));
        };
        return NavBasicExample;
    }(React.Component));
    exports.NavBasicExample = NavBasicExample;
});
